--
-- Backlights
-- Specialization for seperate Backlights
--
-- @author Templaer Edit: Larsey123
-- @date  06/12/09
--

Backlights = {};

function Backlights.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Backlights:load(xmlFile)
	local numBacklights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.Backlights#count"), 0);
    self.Backlights = {};
    for i=1, numBacklights do
        local Backlightnamei = string.format("vehicle.Backlights.Backlight%d", i);
        self.Backlights[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, Backlightnamei .. "#index"));
        setVisibility(self.Backlights[i], false);
    end;
	self.BacklightsActive = false;
end;

function Backlights:delete()
end;

function Backlights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Backlights:keyEvent(unicode, sym, modifier, isDown)
end;

function Backlights:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.MYBACKLIGHTS) then
			self.BacklightsActive = not self.BacklightsActive;
			for k, Backlight in pairs(self.Backlights) do
				setVisibility(Backlight, self.BacklightsActive);
			end;
		end;
	end;
end;

function Backlights:onLeave()
	for k, Backlight in pairs(self.Backlights) do
		setVisibility(Backlight, false);
	end;
	self.BacklightsActive = false;
end;

function Backlights:draw()

end;

