
-- Animated-ExhaustCover
-- Specialization For Vehicles With ExhaustCover
-- @Author: Larsey123

ExhaustCover = {};

function ExhaustCover.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ExhaustCover:load(xmlFile)
		 	 	 
		 self.ExhaustCover = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ExhaustCover#index"));
		 		
end;

function ExhaustCover:delete()
end;

function ExhaustCover:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ExhaustCover:keyEvent(unicode, sym, modifier, isDown)
end;

function ExhaustCover:update(dt)

	if self.isMotorStarted then
		local rotX, rotY, rotZ = getRotation(self.ExhaustCover);
		local rotX = Utils.degToRad((self.motor.nonClampedMotorRpm+200)/28);
		if self.motor.minRpm < 0 then
			rotX = rotX-Utils.degToRad(self.motor.minRpm/28);
		else
			rotX = rotX
		end;
		if rotX < Utils.degToRad(0) then
			rotX = Utils.degToRad(0);
		end;
		if rotX > Utils.degToRad(70) then
			rotX = Utils.degToRad(70);
		end;
		setRotation(self.ExhaustCover, rotX*1, rotY, rotZ);
	else
		setRotation(self.ExhaustCover, 0, rotY, rotZ);
	end;	 
end;

function ExhaustCover:draw()

end;

