--
-- ExtraLights
-- Specialization for seperate ExtraLights
--
-- @author Templaer & Edit: Larsey123
-- @date  06/12/09
-- @Editdate 11/3/2010
--

ExtraLights = {};

function ExtraLights.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ExtraLights:load(xmlFile)
	local numExtraLights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.ExtraLights#count"), 0);
    self.ExtraLights = {};
    for i=1, numExtraLights do
        local ExtraLightnamei = string.format("vehicle.ExtraLights.ExtraLight%d", i);
        self.ExtraLights[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, ExtraLightnamei .. "#index"));
        setVisibility(self.ExtraLights[i], false);
    end;
	self.ExtraLightsActive = false;
end;

function ExtraLights:delete()
end;

function ExtraLights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ExtraLights:keyEvent(unicode, sym, modifier, isDown)
end;

function ExtraLights:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.MYExtraLights) then
			self.ExtraLightsActive = not self.ExtraLightsActive;
			for k, ExtraLight in pairs(self.ExtraLights) do
				setVisibility(ExtraLight, self.ExtraLightsActive);
			end;
		end;
	end;
end;

function ExtraLights:onLeave()
	for k, ExtraLight in pairs(self.ExtraLights) do
		setVisibility(ExtraLight, false);
	end;
	self.ExtraLightsActive = false;
end;

function ExtraLights:draw()
end;

