--
-- Frontlights
-- Specialization for seperate Frontlights
--
-- @author Templaer & Edit: Larsey123
-- @date  06/12/09
-- @Editdate 11/3/2010
--

Frontlights = {};

function Frontlights.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Frontlights:load(xmlFile)
	local numFrontlights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.Frontlights#count"), 0);
    self.Frontlights = {};
    for i=1, numFrontlights do
        local Frontlightnamei = string.format("vehicle.Frontlights.Frontlight%d", i);
        self.Frontlights[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, Frontlightnamei .. "#index"));
        setVisibility(self.Frontlights[i], false);
    end;
	self.FrontlightsActive = false;
end;

function Frontlights:delete()
end;

function Frontlights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Frontlights:keyEvent(unicode, sym, modifier, isDown)
end;

function Frontlights:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.MYFRONTLIGHTS) then
			self.FrontlightsActive = not self.FrontlightsActive;
			for k, Frontlight in pairs(self.Frontlights) do
				setVisibility(Frontlight, self.FrontlightsActive);
			end;
		end;
	end;
end;

function Frontlights:onLeave()
	for k, Frontlight in pairs(self.Frontlights) do
		setVisibility(Frontlight, false);
	end;
	self.FrontlightsActive = false;
end;

function Frontlights:draw()
end;

