--
-- RadioLight
-- Specialization for seperate RadioLight
--
-- @author Templaer Edit: Larsey123
-- @date  06/12/09
--

RadioLight = {};

function RadioLight.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function RadioLight:load(xmlFile)
	local numRadioLight = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.RadioLight#count"), 0);
    self.RadioLight = {};
    for i=1, numRadioLight do
        local RadioLightnamei = string.format("vehicle.RadioLight.RadioLight%d", i);
        self.RadioLight[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, RadioLightnamei .. "#index"));
        setVisibility(self.RadioLight[i], false);
    end;
	self.RadioLightActive = false;
end;

function RadioLight:delete()
end;

function RadioLight:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RadioLight:keyEvent(unicode, sym, modifier, isDown)
end;

function RadioLight:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.MYRadioLight) then
			self.RadioLightActive = not self.RadioLightActive;
			for k, RadioLight in pairs(self.RadioLight) do
				setVisibility(RadioLight, self.RadioLightActive);
			end;
		end;
	end;
end;

function RadioLight:onLeave()
	for k, RadioLight in pairs(self.RadioLight) do
		setVisibility(RadioLight, false);
	end;
	self.RadioLightActive = false;
end;

function RadioLight:draw()

end;

