--
-- WheelTracks
--

WheelTracks = {};

function WheelTracks.prerequisitesPresent(specializations)
    return true;
end;

function WheelTracks:load(xmlFile)
  self.fruitTypes = {};
  self.fruitTypes[FruitUtil.FRUITTYPE_UNKNOWN] = true;
  local fruitTypes = getXMLString(xmlFile, "vehicle.fruitTypes#fruitTypes");
  if fruitTypes ~= nil then
    local types = Utils.splitString(" ", fruitTypes);
    for k,v in pairs(types) do
      local desc = FruitUtil.fruitTypes[v];
      if desc ~= nil then
        self.fruitTypes[desc.index] = true;
      end;
    end;
  end;
  self.currentFruitType = FruitUtil.FRUITTYPE_UNKNOWN;
  self.lastArea = 0;
end;

function WheelTracks:delete()
end;

function WheelTracks:mouseEvent(posX, posY, isDown, isUp, button)
end;

function WheelTracks:keyEvent(unicode, sym, modifier, isDown)
end;

function WheelTracks:update(dt)
  local foundFruitType = false;
  local oldFruitType = self.currentFruitType;
  if self.currentFruitType == FruitUtil.FRUITTYPE_UNKNOWN then
    for fruitType,v in pairs(self.fruitTypes) do
      for k,area in pairs(self.cuttingAreas) do
        local x, y, z = getWorldTranslation(area.start);
        local x1, y1, z1 = getWorldTranslation(area.width);
        local x2, y2, z2 = getWorldTranslation(area.height);
        local area = Utils.getFruitArea(fruitType, x, z, x1, z1, x2, z2);
        if area > 0 then
          self.currentFruitType = fruitType;
          foundFruitType = true;
          break;
        end;
      end;
      if foundFruitType then
        break;
      end;
    end;
  end;
  if self.currentFruitType ~= FruitUtil.FRUITTYPE_UNKNOWN then
    for k,cuttingArea in pairs(self.cuttingAreas) do
      local x, y, z = getWorldTranslation(cuttingArea.start);
      local x1, y1, z1 = getWorldTranslation(cuttingArea.width);
      local x2, y2, z2 = getWorldTranslation(cuttingArea.height);
      Utils.cutFruitArea(self.currentFruitType, x, z, x1, z1, x2, z2);
    end;
  end;
  if self.currentFruitType ~= oldFruitType then
    self.currentFruitType = FruitUtil.FRUITTYPE_UNKNOWN;
  end;
end;

function WheelTracks:draw()
end;

